
body, html {
    height: 100%;
    background-color: #fff; /*#add38a26;*/
}

/* site css*/
.bg-gdpr {
    background-color: rgba(255, 0, 0, 0.67);
}

.bg-litegreen {
    background-color: rgb(135, 195, 99, 15%)
}

.bg-odd {
    background-color: #ecf1f5;
}

.bg-even {
}

.debug {
    display: none;
    background-color: rgba(247, 16, 1, 0.89);
    color: white;
}

.headshot {
    max-width: 50px;
    border: 1px solid #222;
}
/*---------------------*/
/* MENU                */
/*---------------------*/
#topbar {
    background-color: rgb(142, 142, 142); /* rgb(135, 195, 99);*/
}

.menu {
    font-size: 12px;
}

    .menu li {
        list-style-type: none;
    }

        .menu li.active {
            font-weight: bold;
        }

.not-active {
    pointer-events: none;
    cursor: default;
}

#sidebar {
    /*background-color: rgb(120, 194, 173, 0.69);
    color: white;*/
    color: rgb(135, 195, 99);
    /*background-color: rgb(230 241 190 / 58%);*/
    position: fixed;
    left: 0;
    height: 100%;
    width: 200px;
    overflow: hidden;
    margin: 0 6px;
    padding: 0;
    -moz-transition: left ease .25s;
    -o-transition: left ease .25s;
    -webkit-transition: left ease .25s;
    transition: left ease .25s;
}

    #sidebar a:link,
    #sidebar a:hover,
    #sidebar a:visited {
        text-decoration: none;
        color: rgb(135, 195, 99);
    }

    #sidebar.hide-sidebar {
        left: -200px;
        -moz-transition: left ease .25s;
        -o-transition: left ease .25s;
        -webkit-transition: left ease .25s;
        transition: left ease .25s;
    }

#sidebar-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 200px;
}

#highlight {
    font-weight: bold;
}

.nav-menu {
    width: 100%;
}
/*---------------------*/
/* Contenitore         */
/*---------------------*/

#wrapper {
    margin: 0 10px;
    -moz-transition: margin-left ease .25s;
    -o-transition: margin-left ease .25s;
    -webkit-transition: margin-left ease .25s;
    transition: margin-left ease .25s;
}

    #wrapper.hide-sidebar {
        margin-left: 0;
        -moz-transition: margin-left ease .25s;
        -o-transition: margin-left ease .25s;
        -webkit-transition: margin-left ease .25s;
        transition: margin-left ease .25s;
    }

#map {
    width: 100%;
    height: 600px;
}

/*#spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 3.5rem;
    height: 3.5rem;
}*/

.al-table-action-separator {
    margin: 0 5px;
}

.modal-700 {
    width: 700px;
    max-width: 700px;
}
/*.pageEdit, .pageCreate, .pageIndex {
}*/

.rowActions {
    padding: 20px 5px;
}

.pageErrorTitle,
.pageTitle {
    padding-bottom: 10px;
}

.pageErrorMessage {
    padding: 10px;
    font-size: 14pt;
}

.pageErrorTitle, .pageErrorMessage {
    color: rgb(230, 20, 20);
}

.pageTitle {
    color: #69b226;
}

#Paging {
    display: none;
}


/*---------------------*/
/* Actions Toolbar     */
/*---------------------*/
.toolBarAction-Create {
    display: block;
}

.toolBarAction-Print,
.toolBarAction-Export {
    display: none;
}

/*---------------------*/
/* Index Table         */
/*---------------------*/
.ShowID {
    display: none;
}

.tableActionHeader {
    text-align: center !important;
}

.tableHeader, .tableActionHeader {
    color: #fff;
}

.table th {
    background-color: rgb(135 195 99);
    color: #fff;
}

    .table th a {
        color: #fff;
    }


.validatorSummary {
    margin: 7px;
    border: double red 2px;
    padding: 5px;
    background-color: #f7f5c0;
}

.navbar {
    padding: 0;
}

nav.sidebar, .main {
    -webkit-transition: margin 200ms ease-out;
    -moz-transition: margin 200ms ease-out;
    -o-transition: margin 200ms ease-out;
    transition: margin 200ms ease-out;
}

#bs-sidebar-navbar-collapse-1 {
    display: block;
    height: calc(100vh - 160px); /* height of scrollable menu plus line height */
    max-height: calc(100vh - 160px);
    overflow-y: auto;
}

.scrollable-menu {
    height: auto;
    max-height: calc(100vh - 200px);
    overflow-x: hidden;
    overflow-y: auto;
}

.main {
    padding: 10px 10px 0 10px;
}

@media (min-width: 765px) {

    .main {
        position: absolute;
        width: calc(100% - 40px);
        margin-left: 40px;
        float: right;
    }


    /*added*/

    .navbar-nav > .nav-item .dropdown > nav-link {
        color: red;
    }

    ul .dropdown-menu {
        width: 230px;
        background-color: rgb(120 149 103);
    }

        ul .dropdown-menu li a {
            color: #fff;
            text-decoration: none;
        }

    .dropdown-menu li:hover {
        background-color: rgb(120 149 103);
        color: #fff;
        text-decoration: none;
        font-weight: bold;
        font-size: 1.1em;
    }

    ul .dropdown-menu li a span {
        margin-left: 10px;
    }
}

@media (min-width: 500px) {

    .main {
        width: calc(100% - 200px);
        margin-left: 200px;
    }

    nav.sidebar {
        margin-left: 0px;
        float: left;
    }

        nav.sidebar .forAnimate {
            opacity: 1;
        }
}

section {
    padding-left: 15px;
}

.poweredBy {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgb(135, 195, 99);
    border-top: double 1px white;
    height: 80px
}

.poweredVersion {
    background-color: rgba(51, 51, 51, 1);
    font-size: 0.65em;
    text-align: center;
    color: whitesmoke;
    text-decoration: none;
    padding: 0 25%;
}

.panel-heading {
    padding: 5px 5px;
}

.panel-body {
    padding: 5px 5px;
}

.alcoding-inputCurrency,
.align-right {
    text-align: right;
}

.SectionTitle {
    font-size: 19px;
    margin: 10px 0;
}

.DetailTitle {
    font-size: 14px;
    font-weight: bold;
    margin: 10px 0;
}

.DetailTitleRow {
    font-size: 14px;
    font-weight: bold;
    margin: 15px 0;
    padding: 5px 10px;
    background-color: #e3e2e2;
}

.DetailTitleAction {
    font-size: 18px;
    font-weight: bold;
    margin: 15px 0;
    padding: 5px 10px;
    text-align: center;
}

.noSpace {
    margin: 0;
    padding: 0;
}

.text-decoration-white, .text-decoration-white:hover, .text-decoration-white:link, .text-decoration-white:visited {
    text-decoration: none;
    display: block;
    color: white;
}
/* 20260207 */
.ui-autocomplete {
    position: absolute;
    top: 0;
    left: 0;
    cursor: default;
    z-index: 9999 !important; /* Per assicurarsi che sia sopra tutto */
}
/*
    STAMPA
*/
.table-print {
    width: 100%;
}

    .table-print > tbody > tr > td {
        color: black;
        background-color: white !important;
    }

.top5 {
    margin-top: 5px;
}

.top7 {
    margin-top: 7px;
}

.top10 {
    margin-top: 10px;
}

.top15 {
    margin-top: 15px;
}

.top17 {
    margin-top: 17px;
}

.top30 {
    margin-top: 30px;
}

.signatureOnReport {
    width: 100px;
    height: 70px;
}

.consentAnswerOptional, .consentAnswerRequired {
    background-color: #e5e5e5;
    font-size: 16px;
    padding: 0;
    margin: 0 0 15px;
}

.consentAnswerOptional {
    border-bottom: 4px solid black;
}

.consentAnswerRequired {
    border-bottom: 4px solid rgb(220, 53, 69);
}

.InquiryEffortAvailableWithAppointment {
    --bs-table-bg: #97e374;
    --bs-table-color: #000;
    /*background-color: #97e374;
        color: #000;*/
    text-align: center;
}

.InquiryEffortAvailable {
    --bs-table-bg: #fff;
    --bs-table-color: #000;
    /*background-color: #fff;
        color: #000;*/
    text-align: center;
}

.InquiryEffortNotAvailableButWithAppointment {
    --bs-table-bg: #f39008;
    --bs-table-color: #000;
    /*background-color: #f39008;
        color: #000;*/
    text-align: center;
}

.InquiryEffortNotAvailable {
    --bs-table-bg: #fff;
    --bs-table-color: #000;
    /*background-color: #fff;
        color: #000;*/
    text-align: center;
}

.InquiryEffortAvailableSumMajor, .InquiryEffortAvailableSumEquals, .InquiryEffortAvailableSumMinor {
    text-align: center;
}

.InquiryEffortAvailableSumMajor {
    --bs-table-bg: red;
    --bs-table-color: white;
    /*background-color: red;
        color: white;*/
}

.InquiryEffortAvailableSumEquals {
    --bs-table-bg: yellow;
    --bs-table-color: black;
    /*background-color: yellow;
        color: black;*/
}

.InquiryEffortAvailableSumMinor {
    --bs-table-bg: #28A745;
    --bs-table-color: white;
    /*background-color: #28A745;
        color: white;*/
}

/* toastr */
.toast, #toast-container {
    font-size: 10pt;
}


/* Stili per l'overlay di attesa */
#loadingOverlay {
    position: fixed; /* Si posiziona rispetto al viewport */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6); /* Sfondo semi-trasparente */
    display: flex; /* Usa flexbox per centrare il contenuto */
    justify-content: center; /* Centra orizzontalmente */
    align-items: center; /* Centra verticalmente */
    z-index: 9999; /* Assicura che sia sopra tutti gli altri elementi */
    color: white; /* Colore del testo/spinner */
    font-size: 1.5rem;
    flex-direction: column; /* Impila spinner e testo */
    gap: 15px; /* Spazio tra spinner e testo */
    visibility: hidden; /* Inizialmente nascosto */
    opacity: 0; /* Inizialmente trasparente */
    transition: visibility 0s, opacity 0.3s ease-in-out; /* Transizione per un effetto fade */
}

    #loadingOverlay.show {
        visibility: visible;
        opacity: 1;
    }

.newEvent-Highlight {
    font-weight: bold !important; /* Testo in grassetto */
    border: 2px dashed #dc3545 !important; /* Bordo rosso trattteggiato */
    box-shadow: 0 0 8px rgba(220, 53, 69, 0.5); /* Effetto bagliore */
    animation: pulse 1.5s infinite alternate;
}

@keyframes pulse {
    from {
        opacity: 0.7;
    }

    to {
        opacity: 1;
    }
}
